al_update_fs_entry(3)

NAME

al_update_fs_entry - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_update_fs_entry(ALLEGRO_FS_ENTRY *e)

DESCRIPTION

Updates file status information for a filesystem entry. File status information is automatically updated when the entry is created, however you may update it again with this function, e.g. in case it changed.

Returns true on success, false on failure. Fills in errno to indicate the error.

SEE ALSO

al_get_errno(3), al_get_fs_entry_atime(3), al_get_fs_entry_ctime(3), al_get_fs_entry_mode(3)